import 'package:flutter/material.dart';

class CustomGradient {
  static var vertical = 0;
  static var horizontal = 1;

  static BoxDecoration GradeGrey({int orientation}) {
    BoxDecoration boxDecoration;
    if (orientation == null) {
      boxDecoration = BoxDecoration(
        gradient: new LinearGradient(
            colors: [
              const Color(0xFFbdc3c7),
              const Color(0xFF2c3e50),
            ],
            begin: const FractionalOffset(0.0, 0.0),
            end: const FractionalOffset(1.0, 0.0),
            stops: [0.0, 1.0],
            tileMode: TileMode.mirror),
      );
    } else if (orientation == 0) {
      boxDecoration = BoxDecoration(
        gradient: new LinearGradient(
            colors: [
              const Color(0xFFbdc3c7),
              const Color(0xFF2c3e50),
            ],
            begin: const FractionalOffset(0.0, 0.0),
            end: const FractionalOffset(0.0, 1.0),
            stops: [0.0, 1.0],
            tileMode: TileMode.mirror),
      );
    } else {
      boxDecoration = BoxDecoration(
        gradient: new LinearGradient(
            colors: [
              const Color(0xFFbdc3c7),
              const Color(0xFF2c3e50),
            ],
            begin: const FractionalOffset(0.0, 0.0),
            end: const FractionalOffset(1.0, 0.0),
            stops: [0.0, 1.0],
            tileMode: TileMode.mirror),
      );
    }

    return boxDecoration;
  }
}
